Bug 1303008 - Host list doesn't show the os name and last report time on registering a pre-installed system
Host list doesn't show the os name and last report time on registering a pre-...
Status: CLOSED NEXTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 04:41 EST by Sachin Ghai
Modified: 2017-08-01 16:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:01:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
missing 'operating system' and last report values (30.19 KB, image/png)
2016-01-29 04:41 EST, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13458 None None None 2016-04-22 11:04 EDT

  None (edit)
Description Sachin Ghai 2016-01-29 04:41:57 EST
Created attachment 1119387 [details]
missing 'operating system' and last report values

Description of problem:
I was trying to register a pre-installed system with foreman server. Host is registered successfully and I can see the listing under 'All hosts and content-host. however the host listing under 'All hosts' doesn't show the registered host's OS and last report time.

Please see the attached screenshot

Version-Release number of selected component (if applicable):
katello-2.5.0-3.nightly.el7.noarch
foreman-release-1.11.0-0.develop.201601211808gitd546fd0.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. register a host with foreman server
2. go to all hosts
3.

Actual results:
missing 'operating system' and last report values on host listing under 'all hosts'

Expected results:


Additional info:
Comment 2 Sachin Ghai 2016-01-29 04:44:11 EST
Created redmine issue http://projects.theforeman.org/issues/13458 from this bug
Comment 3 Bryan Kearney 2016-01-29 06:08:59 EST
Upstream bug component is Content Management
Comment 4 Bryan Kearney 2016-02-14 12:12:02 EST
Upstream bug component is Hosts
Comment 5 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Bryan Kearney 2016-07-26 11:36:45 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 8 Bryan Kearney 2016-08-10 15:13:11 EDT
Upstream bug component is Hosts - Content
Comment 9 Bryan Kearney 2016-08-10 16:14:09 EDT
Upstream bug component is Hosts
Comment 10 Bryan Kearney 2016-08-10 18:13:48 EDT
Upstream bug component is Hosts - Content
Comment 11 Bryan Kearney 2016-08-11 14:36:54 EDT
Comment from usptream is Are you still able to reproduce this? This should work for all systems unless they are centos. Fedora and RHEL should be fine. Moving to the next release for verification.
Comment 12 Bryan Kearney 2017-08-01 16:01:28 EDT
The fix to this bug will be delivered with release 6.3 of Satellite.

Note You need to log in before you can comment on or make changes to this bug.